#!/bin/sh -e
# SPDX-License-Identifier: MIT

#output only added wifi connection
for CON_NAME in $(nmcli -t -f type,name c | awk -F: '$1 == "802-11-wireless" {print $2}')
do
	SSID=$(nmcli -g 802-11-wireless.ssid con show "$CON_NAME")
	AUTO_CON=$(nmcli -g connection.autoconnect con show "$CON_NAME")
	printf "%s\n" "$CON_NAME;$SSID;$AUTO_CON"
done
